OpenJPH: ojph::local::mel_struct Struct Reference

OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph::local::mel_struct Struct Reference

## Public Attributes
ui8 * | buf
ui32 | pos
ui32 | buf_size
int | remaining_bits
int | tmp
int | run
int | k
int | threshold

## Detailed Description

Definition at line 273 of file ojph_block_encoder.cpp.

## Member Data Documentation

## ◆ buf

ui8* ojph::local::mel_struct::buf

Definition at line 275 of file ojph_block_encoder.cpp.

Referenced by ojph::local::mel_emit_bit(), ojph::local::mel_init(), ojph::local::ojph_encode_codeblock32(), ojph::local::ojph_encode_codeblock64(), and ojph::local::terminate_mel_vlc().

## ◆ buf_size

ui32 ojph::local::mel_struct::buf_size

Definition at line 277 of file ojph_block_encoder.cpp.

Referenced by ojph::local::mel_emit_bit(), ojph::local::mel_init(), and ojph::local::terminate_mel_vlc().

## ◆ k

int ojph::local::mel_struct::k

Definition at line 283 of file ojph_block_encoder.cpp.

Referenced by ojph::local::mel_encode(), and ojph::local::mel_init().

## ◆ pos

ui32 ojph::local::mel_struct::pos

Definition at line 276 of file ojph_block_encoder.cpp.

Referenced by ojph::local::mel_emit_bit(), ojph::local::mel_init(), ojph::local::ojph_encode_codeblock32(), ojph::local::ojph_encode_codeblock64(), and ojph::local::terminate_mel_vlc().

## ◆ remaining_bits

int ojph::local::mel_struct::remaining_bits

Definition at line 280 of file ojph_block_encoder.cpp.

Referenced by ojph::local::mel_emit_bit(), ojph::local::mel_init(), and ojph::local::terminate_mel_vlc().

## ◆ run

int ojph::local::mel_struct::run

Definition at line 282 of file ojph_block_encoder.cpp.

Referenced by ojph::local::mel_encode(), ojph::local::mel_init(), and ojph::local::terminate_mel_vlc().

## ◆ threshold

int ojph::local::mel_struct::threshold

Definition at line 284 of file ojph_block_encoder.cpp.

Referenced by ojph::local::mel_encode(), and ojph::local::mel_init().

## ◆ tmp

int ojph::local::mel_struct::tmp

Definition at line 281 of file ojph_block_encoder.cpp.

Referenced by ojph::local::mel_emit_bit(), ojph::local::mel_init(), and ojph::local::terminate_mel_vlc().

The documentation for this struct was generated from the following file:

- /build/openjph/src/OpenJPH/src/core/coding/ojph_block_encoder.cpp